summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-08-29 13:39:57 +0200
committerChristian Grothoff <christian@grothoff.org>2020-08-29 13:39:57 +0200
commitfa27c1166260fd2bd50d5ec97b11cd2d161fcaa9 (patch)
treee2a50f9d865185bddd71b544784a228d524c3fa2
parentd2003378ac2cc9356cff0bedec4d7b300fb53f05 (diff)
downloadexchange-fa27c1166260fd2bd50d5ec97b11cd2d161fcaa9.tar.gz
exchange-fa27c1166260fd2bd50d5ec97b11cd2d161fcaa9.tar.bz2
exchange-fa27c1166260fd2bd50d5ec97b11cd2d161fcaa9.zip
force remove
-rwxr-xr-xsrc/auditor/generate-revoke-basedb.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/src/auditor/generate-revoke-basedb.sh b/src/auditor/generate-revoke-basedb.sh
index 6122dc76..0e812e55 100755
--- a/src/auditor/generate-revoke-basedb.sh
+++ b/src/auditor/generate-revoke-basedb.sh
@@ -183,7 +183,7 @@ export susp=$(echo "$coins" | jq --arg rc "$rc" '[.coins[] | select(.coin_pub !=
# Do the revocation
taler-exchange-keyup -o e2a2.dat -c $CONF -r $rd
taler-auditor-sign -c $CONF -u $AUDITOR_URL -r e2a2.dat -o a2e2.dat -m $MASTER_PUB
-rm e2a2.dat
+rm -f e2a2.dat
mv a2e2.dat $ABD
# Restart the exchange...
@@ -277,7 +277,7 @@ export susp=$(echo "$coins" | jq --arg freshc "$freshc" '[.coins[] | select(.coi
echo "Revoking ${fresh_denom} (to affect coin ${freshc})"
taler-exchange-keyup -c $CONF -o e2a3.dat -r $fresh_denom
taler-auditor-sign -c $CONF -u $AUDITOR_URL -r e2a3.dat -o a2e3.dat -m $MASTER_PUB
-rm e2a3.dat
+rm -f e2a3.dat
mv a2e3.dat $ABD
# Restart the exchange...
@@ -343,10 +343,10 @@ date +%s > ${BASEDB}.age
# clean up
-echo "Final clean up (disabled)"
+echo "Final clean up"
dropdb $TARGET_DB
-rm -r $DATA_DIR || true
-rm $CONF
+rm -rf $DATA_DIR || true
+rm -f $CONF
rm -r $TMP_DIR
echo "====================================="